Back in September, we announced that we would remove support for TLS 1.0 in Pusher Channels. Based on feedback from many users, we have decided to extend our support for TLS 1.0. Despite less than 1% of all clients using this old protocol version, there are several environments which have poor support for newer TLS versions. We wish to give these users time to upgrade their server and client environments to support TLS 1.1+.

We will continue to monitor TLS 1.0 usage on our platform, and revisit our support for it at a later date. We’re sorry for any confusion this may have caused. If you have any queries at all regarding this, reach out to us at support@pusher.com.